Subject: [PATCH 0/1] Require Guile >= 2.0.14
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 15 Feb 2018 16:26:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This patch is to require Guile >= 2.0.14, released one year ago, instead
of 2.0.9, released in 2013.

For the record, here’s the distro status:

  • Debian unstable has 2.2:
    <https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=guile-2.2>.

  • Older Debian versions have 2.0.13 (not .14):
    <https://packages.debian.org/search?keywords=guile-2.0>.

  • Parabola, Gentoo, Homebrew, openSUSE, Fedora 26+ have 2.0.14 and/or
    2.2: <https://repology.org/metapackage/guile/versions>.

I’d like to have this change in place for the next Guix release, 0.14.1
I presume.

I’d also like it to be the last release that support Guile 2.0.

Thoughts?

Ludo’.

Ludovic Courtès (1):
  build: Require Guile >= 2.0.14.

 README                      |   2 +-
 config-daemon.ac            |   5 --
 configure.ac                |   2 +-
 doc/guix.texi               |   2 +-
 guix/build/download.scm     |  10 +--
 guix/build/syscalls.scm     |  48 +-------------
 guix/hash.scm               |   3 +-
 guix/http-client.scm        | 154 +-------------------------------------------
 guix/scripts/substitute.scm |  18 ++----
 m4/guix.m4                  |  17 -----
 tests/hash.scm              |  11 +---
 11 files changed, 14 insertions(+), 258 deletions(-)

-- 
2.16.1